Skip to main content
GET
List all projects

Authorizations

x-user-api-key
string
header
default:your-user-api-key
required

Your Composio user API key for user-scoped endpoints.

Query Parameters

list_all_org_projects
boolean | null
default:false

List projects from all organizations the authenticated user belongs to

limit
integer

Number of items per page, max allowed is 50

Required range: 1 <= x <= 50
cursor
string

Cursor for pagination. The cursor is a base64 encoded string of the page and limit. The page is the page number and the limit is the number of items per page. The cursor is used to paginate through the items. The cursor is not required for the first page.

Response

Projects retrieved successfully with pagination. Returns an array of project objects with their complete details and pagination info.

data
object[]
required
total_pages
number
required
current_page
number
required
total_items
number
required
next_cursor
string | null